chat/spectrum - The NetBSD Packages Collection

XMPP transport/gateway based on libpurple

spectrum is a XMPP transport using libpurple as a basis.

It provides transports/gateways to a large number of libpurple supported
IM systems, including AOL, Facebook, ICQ, IRC, Yahoo and MSN.

Build dependencies

pkgtools/x11-links devel/cmake pkgtools/cwrappers devel/glib2-tools devel/cmake devel/pkgconf

Runtime dependencies

chat/py-xmpppy textproc/py-expat devel/py-readline databases/poco-data-sqlite devel/poco chat/libpurple devel/glib2 chat/gloox graphics/ImageMagick lang/python27 databases/poco-data-sqlite devel/poco chat/libpurple devel/glib2 graphics/ImageMagick lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfspectrum-1.4.8nb65.tgz
NetBSD 8.0earmv7hfspectrum-1.4.8nb65.tgz
NetBSD 8.0i386spectrum-1.4.8nb62.tgz
NetBSD 8.0i386spectrum-1.4.8nb65.tgz
NetBSD 8.0i386spectrum-1.4.8nb65.tgz
NetBSD 8.0x86_64spectrum-1.4.8nb65.tgz
NetBSD 8.0x86_64spectrum-1.4.8nb62.tgz
NetBSD 8.0x86_64spectrum-1.4.8nb65.tgz
NetBSD 9.0aarch64spectrum-1.4.8nb65.tgz
NetBSD 9.0aarch64spectrum-1.4.8nb62.tgz
NetBSD 9.0aarch64spectrum-1.4.8nb65.tgz
NetBSD 9.0alphaspectrum-1.4.8nb65.tgz
NetBSD 9.0alphaspectrum-1.4.8nb62.tgz
NetBSD 9.0alphaspectrum-1.4.8nb65.tgz
NetBSD 9.0earmv6hfspectrum-1.4.8nb65.tgz
NetBSD 9.0earmv6hfspectrum-1.4.8nb62.tgz
NetBSD 9.0earmv6hfspectrum-1.4.8nb65.tgz
NetBSD 9.0earmv6hfspectrum-1.4.8nb65.tgz
NetBSD 9.0earmv7hfspectrum-1.4.8nb65.tgz
NetBSD 9.0earmv7hfspectrum-1.4.8nb62.tgz
NetBSD 9.0earmv7hfspectrum-1.4.8nb65.tgz
NetBSD 9.0earmv7hfspectrum-1.4.8nb65.tgz
NetBSD 9.0earmv7hfspectrum-1.4.8nb65.tgz
NetBSD 9.0i386spectrum-1.4.8nb62.tgz
NetBSD 9.0i386spectrum-1.4.8nb65.tgz
NetBSD 9.0i386spectrum-1.4.8nb65.tgz
NetBSD 9.0sparc64spectrum-1.4.8nb65.tgz
NetBSD 9.0sparc64spectrum-1.4.8nb62.tgz
NetBSD 9.0sparc64spectrum-1.4.8nb65.tgz
NetBSD 9.0x86_64spectrum-1.4.8nb63.tgz
NetBSD 9.0x86_64spectrum-1.4.8nb65.tgz
NetBSD 9.0x86_64spectrum-1.4.8nb65.tgz
NetBSD 9.0x86_64spectrum-1.4.8nb65.tgz
NetBSD 9.0x86_64spectrum-1.4.8nb62.tgz
NetBSD 9.0x86_64spectrum-1.4.8nb65.tgz
NetBSD 9.0x86_64spectrum-1.4.8nb65.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

mysql
Enable MySQL support.
sqlite
Enable SQLite support.
cppunit
debug
Enable debugging facilities in the package.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.